Subject: Re: [net-next] net: ethernet: adi: adin1110: Fix notifiers

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Oct 2022 17:42:29 -0700

On Wed, 19 Oct 2022 13:17:50 +0300 Alexandru Tachici wrote:
> ADIN1110 was registering netdev_notifiers on each device probe.
> This leads to warnings/probe failures because of double registration
> of the same notifier when to adin1110/2111 devices are connected to
> the same system.
> 
> Move the registration of netdev_notifiers in module init call,
> in this way multiple driver instances can use the same notifiers.
> 
> Fixes: bc93e19d088b ("net: ethernet: adi: Add ADIN1110 support")
> Signed-off-by: Alexandru Tachici <[email-masked]>

Could you please repost with [PATCH net] as the subject prefix 
(the change you're fixing has made its way to Linus's tree by now
so you need to target the tree for fixes [1]), and please CC Lennart
since he co-developed the original change.

[1]
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#how-do-i-indicate-which-tree-net-vs-net-next-my-patch-should-be-in